A catastrophic error detected in the compilation of cuckoohash

A catastrophic error detected in the compilation of cuckoohash as show bellow:

libcuckoo/cuckoohash_map.hh(1677): internal error: assertion failed at: “/dvs/p4/build/sw/rel/gpu_drv/r343/r343_00/drivers/compiler/edg/EDG_4.8/src/decl_inits.c”, line 3135

I’m using Jeston TK1,and JetPack 2.3.1 for L4T [L4T r21.5]. what’s wrong with it?

root@n2:~# nvcc --version
nvcc: NVIDIA ® Cuda compiler driver
Copyright © 2005-2014 NVIDIA Corporation
Built on Wed_Nov_12_15:57:57_CST_2014
Cuda compilation tools, release 6.5, V6.5.30

root@n2:~# gcc --version
gcc (Ubuntu/Linaro 4.8.4-2ubuntu1~14.04.3) 4.8.4
Copyright © 2013 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

root@n2:~# uname -a
Linux n2 3.10.40-ga7da876 #1 SMP PREEMPT Tue Jun 7 21:05:06 PDT 2016 armv7l armv7l armv7l GNU/Linux

Hi gd,

This issue should be fixed already in cuda 7.0. Please try it on TX1 DevKit which supports cuda 8.0.

But I’m using TK1, NOT TX1.

I get a similar error when i try to use trust within my CUDA program.